Bug 179303 - ATI Remote Wonder RF Remote Control - events missing in Xev
ATI Remote Wonder RF Remote Control - events missing in Xev
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
http://bugs.debian.org/cgi-bin/bugrep...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-29 19:04 EST by Brian Fischer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-30 05:55:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Fischer 2006-01-29 19:04:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
The ATI Remote Wonder is an RF remote, which communicates via a USB
dongle, and the ati_remote.ko kernel module. I have noticed that my
Remote Wonder, which I've brought out of storage for a MythTV project,
does not function correctly - five of the buttons are not detected at
all by Xev.

Normally, events from the remote are read as keyboard events - the "A"
button on the remote is read as a normal capital A keyboard press (Plus
mouse events from the mouse part of the remote).

The non-functional keys are: TV, DVD, Channel Up, Channel Down, and OK

Version-Release number of selected component (if applicable):
xorg-x11-tools-6.8.2-1.FC3.45.2_3.rhfc3.at

How reproducible:
Always

Steps to Reproduce:
1. Run Xev
2. Press any of the non-functional keys  

Actual Results:  No event is triggered on pressing the non-functional keys

Expected Results:  Events should have triggered for each remote key

Additional info:
Comment 1 Mike A. Harris 2006-01-30 05:55:44 EST
Fedora Core 3 is no longer maintained by Red Hat, maintenance having now
passed to the Fedora Legacy project when Fedora Core 5 test2 was released.

Aside from that though, there are some important things I should probably
indicate, of which you may not have been aware:


(In reply to comment #0)
> From Bugzilla Helper:
> User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8)
Gecko/20051111 Firefox/1.5
> 
> Description of problem:
> The ATI Remote Wonder is an RF remote, which communicates via a USB
> dongle, and the ati_remote.ko kernel module. I have noticed that my
> Remote Wonder, which I've brought out of storage for a MythTV project,
> does not function correctly - five of the buttons are not detected at
> all by Xev.

Red Hat doesn't provide support for systems which have 3rd party kernel
modules installed (proprietary or open source).  If you require or elect
to use any 3rd party kernel modules (or X video or input drivers, etc.)
you may be able to obtain technical assistance from a number of community
mailing lists, or from the project/company that supplied the module/driver
however.


> Version-Release number of selected component (if applicable):
> xorg-x11-tools-6.8.2-1.FC3.45.2_3.rhfc3.at

That is an ATrpms xorg-x11 build, supplied by the ATrpms repository, and
not supplied nor supported by Red Hat.  You'll need to contact the ATrpms
package maintainers for support with the packages they supply.

The best thing I can suggest for your problem, is to seek assistance on the
mailing lists for the project that supplies the ATI remote kernel module
and/or the X.Org mailing lists.

Hope this helps.


Setting status to "NOTABUG", as the OS release this is reported against is
no longer supported, and the system in question is further using an
unsupported 3rd party kernel module and xorg-x11 rebuild.

Note You need to log in before you can comment on or make changes to this bug.